Bug 861235 - [abrt] gnome-boxes-3.4.3-2.fc17: gvir_storage_vol_delete: Process /usr/bin/gnome-boxes was killed by signal 11 (SIGSEGV)
[abrt] gnome-boxes-3.4.3-2.fc17: gvir_storage_vol_delete: Process /usr/bin/gn...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libvirt-glib (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
abrt_hash:ab885521b65d37dac1b2f3e1bf6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-27 17:44 EDT by Krzysztof Klimonda
Modified: 2013-07-01 15:04 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-01 15:04:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (2.20 KB, text/plain)
2012-09-27 17:44 EDT, Krzysztof Klimonda
no flags Details
File: environ (1.46 KB, text/plain)
2012-09-27 17:44 EDT, Krzysztof Klimonda
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-27 17:44 EDT, Krzysztof Klimonda
no flags Details
File: backtrace (32.33 KB, text/plain)
2012-09-27 17:44 EDT, Krzysztof Klimonda
no flags Details
File: cgroup (132 bytes, text/plain)
2012-09-27 17:44 EDT, Krzysztof Klimonda
no flags Details
File: maps (75.65 KB, text/plain)
2012-09-27 17:44 EDT, Krzysztof Klimonda
no flags Details
File: dso_list (15.17 KB, text/plain)
2012-09-27 17:44 EDT, Krzysztof Klimonda
no flags Details
File: var_log_messages (429 bytes, text/plain)
2012-09-27 17:44 EDT, Krzysztof Klimonda
no flags Details
File: open_fds (1.55 KB, text/plain)
2012-09-27 17:44 EDT, Krzysztof Klimonda
no flags Details

  None (edit)
Description Krzysztof Klimonda 2012-09-27 17:44:08 EDT
Description of problem:
Not sure when it crashed, I've tried using gnome-boxes to install Fedora 17 inside VM, and it was freezing after selecting the ISO location. After few tries I've alt-tabbed to look for solution and then the abrt window showed up.

Version-Release number of selected component:
gnome-boxes-3.4.3-2.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        gnome-boxes
crash_function: gvir_storage_vol_delete
kernel:         3.5.4-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 gvir_storage_vol_delete at libvirt-gobject-storage-vol.c
: #1 boxes_vm_creator_on_domain_stopped at vm-creator.c
: #2 boxes_vm_creator_on_item_added at vm-creator.c
: #3 _boxes_vm_creator_on_item_added_boxes_collection_item_added at vm-creator.c
: #7 g_signal_emit_by_name at gsignal.c
: #8 boxes_collection_add_item at collection.c
: #9 boxes_app_add_domain at app.c
: #10 boxes_app_setup_libvirt_co at app.c
: #11 g_simple_async_result_complete at gsimpleasyncresult.c
: #12 complete_in_idle_cb_for_thread at gsimpleasyncresult.c
Comment 1 Krzysztof Klimonda 2012-09-27 17:44:14 EDT
Created attachment 618313 [details]
File: core_backtrace
Comment 2 Krzysztof Klimonda 2012-09-27 17:44:17 EDT
Created attachment 618314 [details]
File: environ
Comment 3 Krzysztof Klimonda 2012-09-27 17:44:19 EDT
Created attachment 618315 [details]
File: limits
Comment 4 Krzysztof Klimonda 2012-09-27 17:44:22 EDT
Created attachment 618316 [details]
File: backtrace
Comment 5 Krzysztof Klimonda 2012-09-27 17:44:24 EDT
Created attachment 618317 [details]
File: cgroup
Comment 6 Krzysztof Klimonda 2012-09-27 17:44:40 EDT
Created attachment 618318 [details]
File: maps
Comment 7 Krzysztof Klimonda 2012-09-27 17:44:46 EDT
Created attachment 618319 [details]
File: dso_list
Comment 8 Krzysztof Klimonda 2012-09-27 17:44:48 EDT
Created attachment 618320 [details]
File: var_log_messages
Comment 9 Krzysztof Klimonda 2012-09-27 17:44:50 EDT
Created attachment 618321 [details]
File: open_fds
Comment 10 Krzysztof Klimonda 2012-09-28 17:50:04 EDT
Freezing was related to the incorrect SELinux label set for $HOME/.libvirt/qemu which is already reported as bug #809910, the crash seems related to it (some bug in the cleanup code?)
Comment 11 Luke Macken 2012-11-26 11:17:44 EST
I tried to open gnome-boxes, and it instantly crashed.

backtrace_rating: 4
Package: gnome-boxes-3.4.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 Cole Robinson 2013-06-10 14:29:06 EDT
This commit likely avoids the crash, but it's only in libvirt-glib 0.0.9 and later

commit f6193e7347a37c5bbc028ffcd81330622fc315c4
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   Fri May 18 13:39:18 2012 +0200

    Check arguments to public libvirt-gobject methods
Comment 13 Cole Robinson 2013-07-01 15:04:14 EDT
Given that F17 is EOL soon, and libvirt-glib hasn't been touched there for a long time, I don't think this is going to be fixed. F18 should have the fix.

Note You need to log in before you can comment on or make changes to this bug.